geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Making plugins work better for 2.1.4
Date Fri, 20 Mar 2009 19:26:33 GMT
I'm well aware this is last minute...

Recently a user has discovered that installing plugins into the  
framework server pretty much doesn't work for 2.1.3.  I think this is  
because we're generating some geronimo-plugin.xml without dependency  
versions.

My preliminary investigation looks like we can easily change this with  
4 changed lines in a couple poms.  I'm trying to figure out what if  
anything obvious this breaks.

IMO we should also point to the actual 2.1.4 plugin repo http://geronimo.apache.org/plugins/geronimo-2.1.4/

  rather than the local maven repo as the default plugin repo.

If these don't break anything obvious (e.g. testsuite) what else would  
we need to test to get this into 2.1.4?

thanks
david jencks


Mime
View raw message